<template>
  <div>
    <v-row>
      <v-col>
        <router-link v-if="this.$store.state.user.userInfo" :to="`/u/${this.$store.state.user.userInfo.userId}`">
          <v-avatar size="32">
            <v-img
              :src="this.$store.state.user.userInfo.avatarUrl"
              :alt="this.$store.state.user.userInfo.username"
              :title="this.$store.state.user.userInfo.username"
            />
          </v-avatar>
        </router-link>
      </v-col>
      <v-col>
        <span>{{ reply.content }}</span>
      </v-col>
    </v-row>
    <v-divider />
  </div>
</template>

<script>
export default {
  name: 'ReplyCard',
  props: {
    reply: {
      type: Object,
      default: () => {}
    }
  },
  data() {
    return {
      commentCount: this.count,
      videoComment: ''
    }
  },
  created() {
    this.getComments()
  },
  methods: {
    getComments() {
      console.log('获取评论')
    },
    submitComment() {
      console.log('发布评论: ' + this.videoComment)
    }
  }
}
</script>

<style>
</style>
